﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SelectingManyRows;
using SelectingManyRows.SelectingManyRows;

namespace SelectionImprovements
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            this.playersGrid.ItemsSource = GetPlayers();
            this.playersGrid.MultipleSelect = true;
        }

        public IEnumerable<Player> GetPlayers()
        {
            List<Player> players = new List<Player>();

            for (int i = 0; i < 5000; i++)
            {
                Player newPlayer = new Player(i.ToString(), i, Position.DF, "GG");

                players.Add(newPlayer);
            }

            return players;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.playersGrid.SelectAll();
        }
    }
}
